[Qa-jenkins-scm] [jenkins.debian.net] 01/05: reproducible/openwrt|lede: allow to execute the script itself
Holger Levsen
holger at layer-acht.org
Sat Jul 30 19:47:13 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit d13c865881de1adbbf9e3973a1271fbf1e2e4891
Author: Alexander Couzens <lynxis at fe80.eu>
Date: Sat Jul 30 03:15:52 2016 +0200
reproducible/openwrt|lede: allow to execute the script itself
To call function on a remote host, allow to call itself on a remote host with
different arguments
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/jenkins_node_wrapper.sh | 4 ++--
bin/reproducible_lede.sh | 15 +++++++++++++++
bin/reproducible_openwrt.sh | 15 +++++++++++++++
3 files changed, 32 insertions(+), 2 deletions(-)
diff --git a/bin/jenkins_node_wrapper.sh b/bin/jenkins_node_wrapper.sh
index 53c2a8d..12f7085 100755
--- a/bin/jenkins_node_wrapper.sh
+++ b/bin/jenkins_node_wrapper.sh
@@ -118,9 +118,9 @@ elif [[ "$*" =~ ^reproducible_setup_schroot_experimental_.*_.* ]] ; then
elif [[ "$*" =~ ^reproducible_coreboot ]] ; then
exec /srv/jenkins/bin/reproducible_coreboot.sh ; croak "Exec failed";
elif [[ "$*" =~ ^reproducible_openwrt ]] ; then
- exec /srv/jenkins/bin/reproducible_openwrt.sh ; croak "Exec failed";
+ exec /srv/jenkins/bin/reproducible_openwrt.sh master ; croak "Exec failed";
elif [[ "$*" =~ ^reproducible_lede ]] ; then
- exec /srv/jenkins/bin/reproducible_lede.sh ; croak "Exec failed";
+ exec /srv/jenkins/bin/reproducible_lede.sh master ; croak "Exec failed";
elif [[ "$*" =~ ^reproducible_netbsd ]] ; then
exec /srv/jenkins/bin/reproducible_netbsd.sh ; croak "Exec failed";
elif [[ "$*" =~ ^reproducible_freebsd ]] ; then
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index f68b1c0..05aaa6d 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -16,6 +16,21 @@ common_init "$@"
. /srv/jenkins/bin/reproducible_openwrt_common.sh
set -e
+# this script is called from positions
+# * it's called from the reproducible_wrapper when running on the master
+# * it's called from reproducible_opewnrt_common when doing remote builds
+case $1 in
+ slave)
+ # execute the slave
+ shift
+ $@
+ exit $?
+ ;;
+ master)
+ # master code following
+ ;;
+esac
+
#
# main
#
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index 095a5ee..a5fab82 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -16,6 +16,21 @@ common_init "$@"
. /srv/jenkins/bin/reproducible_openwrt_common.sh
set -e
+# this script is called from positions
+# * it's called from the reproducible_wrapper when running on the master
+# * it's called from reproducible_opewnrt_common when doing remote builds
+case $1 in
+ slave)
+ # execute the slave
+ shift
+ $@
+ exit $?
+ ;;
+ master)
+ # master code following
+ ;;
+esac
+
#
# main
#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list